edu.sc.seis.sod.process.waveform

## Class SeismogramTitler

- java.lang.Object
- - edu.sc.seis.sod.process.waveform.SeismogramTitler

-     public class SeismogramTitler
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SeismogramTitler(edu.sc.seis.fissuresUtil.display.configuration.BorderConfiguration titleBorder)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static edu.sc.seis.fissuresUtil.display.configuration.BorderConfiguration[]` | `extractBorderConfigs(edu.sc.seis.fissuresUtil.display.configuration.SeismogramDisplayConfiguration[] sdcs)`
    `void` | `title(edu.iris.Fissures.IfEvent.EventAccessOperations event, edu.iris.Fissures.IfNetwork.Channel channel, edu.sc.seis.fissuresUtil.time.MicroSecondTimeRange timeRange)`
    `void` | `title(edu.iris.Fissures.IfEvent.EventAccessOperations event, edu.iris.Fissures.IfNetwork.Channel channel, edu.sc.seis.fissuresUtil.time.MicroSecondTimeRange timeRange, java.util.Map<java.lang.String,java.lang.Object> extras)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SeismogramTitler

          public SeismogramTitler(edu.sc.seis.fissuresUtil.display.configuration.BorderConfiguration titleBorder)

  - ### Method Detail

    - #### title

          public void title(edu.iris.Fissures.IfEvent.EventAccessOperations event,
                            edu.iris.Fissures.IfNetwork.Channel channel,
                            edu.sc.seis.fissuresUtil.time.MicroSecondTimeRange timeRange)

    - #### title

          public void title(edu.iris.Fissures.IfEvent.EventAccessOperations event,
                            edu.iris.Fissures.IfNetwork.Channel channel,
                            edu.sc.seis.fissuresUtil.time.MicroSecondTimeRange timeRange,
                            java.util.Map<java.lang.String,java.lang.Object> extras)

    - #### extractBorderConfigs

          public static edu.sc.seis.fissuresUtil.display.configuration.BorderConfiguration[] extractBorderConfigs(edu.sc.seis.fissuresUtil.display.configuration.SeismogramDisplayConfiguration[] sdcs)